# Generic Makefile Project

This project aims to provide a directory structure to quicly develop a makefile
based project without the burden of managing the makefile itself.

The directories skeleton is :

Basedir/
- **tools/**
- **libutil/**
- **src/**
- LICENSE
- Makefile
- Readme.md

* **tools** provides scripts to generate c sources file and c headers with the
 appropriate license header.

* **libutil** provides a set of helper functions for logging, memory management, string builder, ...

* **src** is the project placeholder
